cabal-version: 1.12

-- This file has been generated from package.yaml by hpack version 0.35.2.
--
-- see: https://github.com/sol/hpack

name:           mergesort-hs
version:        0.0.0
build-type:     Simple

library
  exposed-modules:
      Mergesort
  other-modules:
      Paths_mergesort_hs
  hs-source-dirs:
      src
  build-depends:
      base >=4.7 && <5
  default-language: Haskell2010

test-suite spec
  type: exitcode-stdio-1.0
  main-is: Spec.hs
  other-modules:
      MergesortSpec
      Mergesort
      Paths_mergesort_hs
  hs-source-dirs:
      test
      src
  build-tool-depends:
      hspec-discover:hspec-discover
  build-depends:
      QuickCheck
    , base >=4.7 && <5
    , containers
    , hspec
  default-language: Haskell2010
